Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366096 - Print a text to stderr that the rpm install will take longer
Summary: Print a text to stderr that the rpm install will take longer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-node
Classification: oVirt
Component: RFEs
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.1.0-alpha
: ---
Assignee: Fabian Deutsch
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 03:34 UTC by Huijuan Zhao
Modified: 2017-05-23 07:44 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 10:08:32 UTC
oVirt Team: Node
fdeutsch: ovirt-4.1?
rule-engine: planning_ack?
fdeutsch: devel_ack+
ycui: testing_ack+


Attachments (Terms of Use)
Screenshot of update installing process (deleted)
2016-08-11 03:34 UTC, Huijuan Zhao
no flags Details
All logs (deleted)
2016-08-11 03:36 UTC, Huijuan Zhao
no flags Details

Description Huijuan Zhao 2016-08-11 03:34:46 UTC
Created attachment 1189879 [details]
Screenshot of update installing process

Description of problem:
During RHVH update, the installing process need to wait more than 4 minutes, and there is no progress bar, seems like no response.
Should add progress bar to display install process.


Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.0-20160810.1
imgbased-0.8.3-0.1.el7ev.noarch
redhat-virtualization-host-image-update-placeholder-4.0-0.29.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install redhat-virtualization-host-4.0-20160727.1
2. Login RHVH and setup local repos
3. Update RHVH
   # yum update


Actual results:
After step3, the installing process need to wait more than 4 minutes, and there is no progress bar, seem like no response. (Detailed info please refer to attachment)
It is in the below process:
Installing : redhat-virtualization-host-image-update-4.0-20160810.1.el7_2.noarch                                                                                1/2


Expected results:
After step3, Should add progress bar to display install process

Additional info:

Comment 1 Huijuan Zhao 2016-08-11 03:36:06 UTC
Created attachment 1189880 [details]
All logs

Comment 2 Fabian Deutsch 2016-08-11 06:39:58 UTC
Let's keep this simple, something like

"Please wait - This update can take a few minutes."

Comment 3 Fabian Deutsch 2016-08-11 10:53:39 UTC
Could you please provide some informations on how much time each step takes?

Also, after update please provide

journalctl -t imgbase
or
journalctl -t imgbased

Comment 4 Huijuan Zhao 2016-08-11 11:24:55 UTC
(In reply to Fabian Deutsch from comment #3)
> Could you please provide some informations on how much time each step takes?
> 
> Also, after update please provide
> 
> journalctl -t imgbase
> or
> journalctl -t imgbased

Only the below step takes long time about 8 minutes, and no info display during process:
Installing : redhat-virtualization-host-image-update-4.0-20160810.1.el7_2.noarch           1/2

The other steps take less than 20 seconds separately and have info display.


# journalctl -t imgbase
-- Logs begin at Thu 2016-08-11 11:14:24 GMT, end at Thu 2016-08-11 11:26:28 GMT. --
Aug 11 11:14:45 dell-op790-01.qe.lab.eng.nay.redhat.com imgbase[1001]: imgbase status: OK

Comment 5 Fabian Deutsch 2016-08-11 18:57:24 UTC
Thanks. Ryan also observed a long update time (around 8min as well).

We'll need to look into this.
Probably a separate RFE

Comment 7 Ying Cui 2016-08-19 02:40:31 UTC
(In reply to Fabian Deutsch from comment #5)
> We'll need to look into this.
> Probably a separate RFE

Huijuan, when you get time, could you separate the defect? Sometimes my testing for upgrade via local repo will be around 15 ~ 20 mins.

Comment 8 Huijuan Zhao 2016-08-22 11:24:56 UTC
(In reply to Ying Cui from comment #7)
> (In reply to Fabian Deutsch from comment #5)
> > We'll need to look into this.
> > Probably a separate RFE
> 
> Huijuan, when you get time, could you separate the defect? Sometimes my
> testing for upgrade via local repo will be around 15 ~ 20 mins.

Confirmed with Ying, her testing about 15 ~ 20 mins is the whole time of "yum update -y", but the install time(which requires the progress bar) is also about 8 mins

Comment 9 Fabian Deutsch 2016-08-22 12:08:59 UTC
Btw the update speed issue is tracked here: bug 1368420

Comment 10 Fabian Deutsch 2016-09-22 10:08:32 UTC
I'm closing this bug.

rpm suggests to not output anything during installation.
Also: Output can be interpreted as an error by some tools.

We should rather see to improve the installation speed.


Note You need to log in before you can comment on or make changes to this bug.